using TMPro;
using UnityEngine;

namespace Jovian.InGameLogging.UI {
    public class LogEntryView : MonoBehaviour {
        [SerializeField] TMP_Text messageText;

        public void SetEntry(in LogEntry entry) {
            messageText.text = entry.message;
        }

        public void ClearEntry() {
            messageText.text = string.Empty;
        }
    }
}
